export enum Format {
  ANALOG_35 = "35mm",
  DIGITAL = "Numérique",
}
export enum LanguageSubtitles {
  FRENCH = "VOF",
  FOREIGN = "VOSTFR",
}

export type Film = {
  id?: number
  projectionDate?: string
  title?: string
  actors?: string[]
  director?: string
  duration?: string
  synopsis?: string
  originCountry?: string
  releaseYear?: number
  facebookEventLink?: string
  trailerLink?: string
  isInColor?: boolean
  movieFormat?: Format
  languageSubtitles?: LanguageSubtitles
  posterLink?: string
  bannerLink?: string
  isConfirmed?: boolean
}

export type ShortFilm = {
  id: number
  projectionDate: Date
  title: string
  director?: string
}

export type FilmsByMonth = {
  projectionMonth: string
  films: Film[]
}
